﻿using Android.App;
using Android.OS;
using Android.Widget;
using System.Collections.Generic;
using System;

namespace SpinnerTest
{
	[Activity (Label = "SpinnerTest", MainLauncher = true, Icon = "@mipmap/icon")]
	public class MainActivity : Activity
	{
		protected override void OnCreate (Bundle savedInstanceState)
		{
			base.OnCreate (savedInstanceState);

			// Set our view from the "main" layout resource
			SetContentView (Resource.Layout.Main);

			Spinner mySpinner = FindViewById<Spinner> (Resource.Id.spinner);

			var list = new List<String>();
			list.Add("string1");
			list.Add("string2");
			list.Add("string3");
			list.Add("[Select one]");

			int listsize = list.Count - 1;

			var dataAdapter = new CustomAdapter(this, Android.Resource.Layout.SimpleSpinnerItem, list, listsize);

			dataAdapter.SetDropDownViewResource (Android.Resource.Layout.SimpleSpinnerDropDownItem);
			mySpinner.Adapter = dataAdapter;
			mySpinner.SetSelection (listsize);

		}
	}
}


